<?php
require_once '../core/system.php';
echo only_reg();
$header = 'Смена фракции';
require_once H.'core/head.php';
switch($act) {
case 'post':

if(isset($_POST['race'])){
$race = check($_POST['race']);
if($user[gold] <= 100) $err =  'Недостаточно золота';
if($user['clan_id'] != 0) $err =  'Игрок состоящий в клане не может сменить фракцию';
if(!isset($err)) {
mysql_query("UPDATE `user` SET `gold` = '".($user['gold']-100)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `storona` = '".$race."' WHERE `id` = '$user[id]' LIMIT 1");
setcookie('storona', $storona, time()+86400*365, '/');
header('Location: /change_race');
$_SESSION['message'] = 'Фракция изменена!';
exit();
}else{
header('Location: /change_race');
$_SESSION['err'] = $err;
// Вывод ошибки 
exit();
} 
}else{
header('Location: /change_race');
$_SESSION['err'] = 'Выберите фракцию';
exit();
}
break;
default:
echo '<center><form class="player" method="post" action="?act=post">
Фракция:<br />
<select  name="race">
<option value="1">Галл</option>
<option value="0">Римлянин</option>
</select><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Сменить">Сменить</span></span>
</form></center>';
}
require_once H.'core/foot.php';
?>